leave an organization decline an invite to an organization.md
Leave an organization/Decline an invite to an organization
DELETE https://app.mk.io/api/v1/user/organizations/{organization_id}
This endpoint allows the current user to remove their access to a particular MK.IO organization. This operation can only be reversed by accepting a new invitation from that organization.
If you are still not part of that organization but have a pending invite for it, this endpoint would decline that invitation.
Requires authentication; no additional RBAC permissions required.
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
organization_id |
string | Yes | format: uuid |
Example request
curl -X DELETE "https://app.mk.io/api/v1/user/organizations/{organization_id}" \
-H "Authorization: Bearer <token>"
Responses
204 — OK
No response body.
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
401 — Unauthorized
403 — Forbidden
404 — Not Found
429 — Too Many Requests
500 — Internal Server Error
Source spec: management-api · operationId: [delete]_/api/v1/user/organizations/{organization_id}